# Interface RecordComponentElement

All Superinterfaces:
  `AnnotatedConstruct, Element`

public interface RecordComponentElement extends Element
Represents a record component.

See Java Language Specification:
  8.10.1 Record Components
Since:
  16

## Method Summary

Modifier and Type
Method
Description
`TypeMirror`
`asType()`
Returns the type of this record component.
`ExecutableElement`
`getAccessor()`
Returns the executable element for the accessor associated with the given record component.
`Element`
`getEnclosingElement()`
Returns the enclosing element of this record component.
`Name`
`getSimpleName()`
Returns the simple name of this record component.

### Methods declared in interface Element

`accept, equals, getAnnotation, getAnnotationMirrors, getAnnotationsByType, getEnclosedElements, getKind, getModifiers, hashCode`

## Method Details

### asType

TypeMirror asType()
Returns the type of this record component. Note that the types of record components range over many kinds of types, including primitive types, declared types, and array types.

Specified by:
  `asType` in interface `Element`
Returns:
  the type of this record component
See Also:
  - `TypeKind`

### getEnclosingElement

Element getEnclosingElement()
Returns the enclosing element of this record component. The enclosing element of a record component is the record class declaring the record component.

Specified by:
  `getEnclosingElement` in interface `Element`
Returns:
  the enclosing element of this record component
See Also:
  - `Elements.getPackageOf(Element)`

### getSimpleName

Name getSimpleName()
Returns the simple name of this record component.

The name of each record component must be distinct from the names of all other record components of the same record.

Specified by:
  `getSimpleName` in interface `Element`
Returns:
  the simple name of this record component
See Java Language Specification:
  6.2 Names and Identifiers
See Also:
  - `PackageElement.getSimpleName()`
  - `ExecutableElement.getSimpleName()`
  - `TypeElement.getSimpleName()`
  - `VariableElement.getSimpleName()`
  - `ModuleElement.getSimpleName()`
  - `getSimpleName()`

### getAccessor

ExecutableElement getAccessor()
Returns the executable element for the accessor associated with the given record component.

Returns:
  the record component accessor.